import { createAsyncThunk } from "@reduxjs/toolkit";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import axios from "axios";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const stewardGetOutSellService = createAsyncThunk(
  "STEWRD_GET_OUT_SELL_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("roles-products", {
      params: {
        role: getRoleFromUrl(),
        ...d,
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
